=== rds/rdsacledit/CMakeLists.txt ===
PROJECT_BEGIN(rdsacledit EXECUTABLE)


SET(SOURCES ${SOURCES}
	main.cpp
	qxtcommandoptions.cpp
)

SET(HEADERS ${HEADERS}
	qxtcommandoptions.h
)

SET(LIBRARIES ${LIBRARIES}
	rdsclient
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsclient
	../shared/
	../rdsclient/include/
	../shared/include/
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsacledit
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)
