=== rds/rdsclient/CMakeLists.txt ===
PROJECT_BEGIN(rdsclient LIBRARY)

SET(CMAKE_CXX_FLAGS "-D __RDS_CLIENT -D RDS_CLIENT_LIB")

INCLUDE_SHARED()

SET(SOURCES ${SOURCES}
	../rdsldap/rdsldapobject.cpp
	../rdsldap/rdsldapactions.cpp
	rdsldapsession.cpp
	rdsutils_client.cpp
	rdsclient.cpp
	rdsentitymanager.cpp
	rdssharemanager.cpp
	rdsshare.cpp
	rdsdaemonmanager.cpp
	rdsfilemanager.cpp
	rdsmountpointmanager.cpp
	rdsmountpoint.cpp
	rdsvolumemanager.cpp
	rdsvolume.cpp
	rdsstoragedevice.cpp
	rdsstoragedevicemanager.cpp
	rdsdnsmanager.cpp
	rdsdnszone.cpp
	rdsdhcpmanager.cpp
	rdsdhcpvalues.cpp
	rdsdhcpgroup.cpp
	rdsdhcpsharednetwork.cpp
	rdsdhcpsubnet.cpp
	rdsdhcphost.cpp
	rdsjob.cpp
)

SET(HEADERS ${HEADERS}
	../rdsldap/rdsldapobject.h
	../rdsldap/rdsldapactions.h
	rdsldapsession.h
	rdsclient.h
	rdsstoragedevice.h
	rdsfilemanager.h
	rdsmountpoint.h
	rdsshare.h
	rdssharemanager.h
	rdsvolume.h
	rdsvolumemanager.h
	rdsstoragedevicemanager.h
	rdsdaemonmanager.h
	rdsentitymanager.h
	rdsmountpointmanager.h
	rdsdnsmanager.h
	rdsdnszone.h
	rdsdhcpmanager.h
	rdsdhcpvalues.h
	rdsdhcpgroup.h
	rdsdhcpsharednetwork.h
	rdsdhcpsubnet.h
	rdsdhcphost.h
	rdsjob.h
	rdsjob_p.h
)

SET(INCLUDES ${INCLUDES}
	./include/
	../qtrpc2/
	../qtrpc2/include/
)

SET(LIBRARIES ${LIBRARIES}
	qtrpc2
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

IF(APPLE)

INSTALL(TARGETS rdsclient DESTINATION ${CMAKE_INSTALL_PREFIX}/rdsconsole.app/Contents/MacOS/)

ELSE(APPLE)

INSTALL(TARGETS rdsclient
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

ENDIF(APPLE)

INSTALL_HEADERS("rds/client/")
