=== rds/rdscontrol/CMakeLists.txt ===
PROJECT_BEGIN(rdscontrol EXECUTABLE)

SET(LIBRARIES ${LIBRARIES}
	rdsclient
)

SET(SOURCES ${SOURCES}
	main.cpp
	qxtcommandoptions.cpp
)

SET(HEADERS ${HEADERS}
	qxtcommandoptions.h
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsclient
	../shared/
	../rdsclient/include/
)

SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdscontrol
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)
