=== rds/rdsd/CMakeLists.txt ===
PROJECT_BEGIN(rdsd EXECUTABLE)

SET(SOURCES ${SOURCES}
	main.cpp
	rdsservice.cpp
	rdsprovisionator.cpp
	rdsprovisionthread.cpp
	rdsnetmonitorthread.cpp
	rdsdaemon.cpp
	logmanager.cpp
	publishmonitor.cpp
	rdssambaldapsession.cpp
	rdsnetworksettingsthread.cpp
	rdscheckin.cpp
)

SET(HEADERS ${HEADERS}
	rdsservice.h
	main.h
	rdsprovisionator.h
	rdsprovisionator_p.h
	rdsprovisionthread.h
	rdsprovisionthread_p.h
	rdsnetmonitorthread.h
	rdsdaemon.h
	rdsdaemon_p.h
	logmanager.h
	logmanager_p.h
	publishmonitor.h
	rdssambaldapsession.h
	rdsnetworksettingsthread.h
	rdscheckin.h
)

SET(INCLUDES ${INCLUDES}
	../rdsserver
	../rdsldap
	../shared/
)

SET(LIBRARIES ${LIBRARIES}
	rdsserver
	rdsldap
	crypt
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsserver/include/
	../shared/include/
	../rdsldap/include/
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsd
	RUNTIME DESTINATION sbin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)
