=== rds/rdsldap/CMakeLists.txt ===
PROJECT_BEGIN(rdsldap LIBRARY)

SET(INCLUDES ${INCLUDES}
	../shared/
)

SET(LIBRARIES ${LIBRARIES}
	ldap_r
)

SET(SOURCES ${SOURCES}
	rdsldapobject.cpp
	rdsldapsession.cpp
	rdsldapactions.cpp
	sasl.c
)

SET(HEADERS ${HEADERS}
	rdsldapobject.h
	rdsldapobject_p.h
	rdsldapsession.h
	rdsldapsession_p.h
	rdsldapactions.h
	rdsldapactions_p.h
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	./include/
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsldap
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

INSTALL_HEADERS("rds/ldap/")
