=== rds/rdsprovision/CMakeLists.txt ===
PROJECT_BEGIN(rdsprovision EXECUTABLE)


SET(SOURCES ${SOURCES}
	main.cpp
	qxtcommandoptions.cpp
	rdsprovisionator.cpp
)

SET(HEADERS ${HEADERS}
	qxtcommandoptions.h
	rdsprovisionator.h
)

SET(LIBRARIES ${LIBRARIES}
	rdsclient
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsclient
	../shared/
	../rdsclient/include/
)

USE_QT_LIB(NETWORK)
SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsprovision
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)
