=== rds/rdsserver/CMakeLists.txt ===
PROJECT_BEGIN(rdsserver LIBRARY)

find_package ( DBus REQUIRED )

USE_QT_LIB(NETWORK)

INCLUDE_SHARED()

SET(CMAKE_CXX_FLAGS "-D __RDS_SERVER")

SET(INCLUDES ${INCLUDES}
	../rdsldap
	/usr/include/dbus-1.0/
	/usr/lib/dbus-1.0/include/
)

SET(LIBRARIES ${LIBRARIES}
	rdsldap
)

SET(INCLUDES ${INCLUDES}
	../rdsldap
	${DBUS_INCLUDE_DIR}
)

SET(SOURCES ${SOURCES}
	rdssettings.cpp
	rdsutils_server.cpp
	rdsdnsmanager.cpp
	rdsdhcpvalues.cpp
	rdsdnszone.cpp
	rdsmountpoint.cpp
	rdssambaconfigparser.cpp
	rdsshare.cpp
	rdssharemanager.cpp
	rdsstoragedevice.cpp
	rdsstoragemanager.cpp
	rdsvolume.cpp
	rdsentitymanager.cpp
	rdsusergroupcomputermanager.cpp
	rdsdhcpmanager.cpp
	rdsdhcpsubnet.cpp
	rdsdhcpsharednetwork.cpp
	rdsdhcpgroup.cpp
	rdsdhcphost.cpp
	rdsfilemanager.cpp
	rdsdaemoninstance.cpp
	rdsdaemonmanager.cpp
	rdsmountpointmanager.cpp
	rdsvolumemanager.cpp
	rdsstoragedevicemanager.cpp
	rdsnetworksettings.cpp
	rdssinglevolume.cpp
	rdsschedulemanager.cpp
	rdsjob.cpp
	rdsmultijob.cpp
	rdsjobmanager.cpp
	rdsthreadedjob.cpp
)

SET(HEADERS ${HEADERS}
	rdssettings.h
	rdssettings_p.h
	rdsdnsmanager.h
	rdsdnsmanager_p.h
	rdsdhcpvalues.h
	rdsdhcpvalues_p.h
	rdsdnszone.h
	rdsdnszone_p.h
	rdsmountpoint.h
	rdsmountpoint_p.h
	rdssambaconfigparser.h
	rdssambaconfigparser_p.h
	rdsshare.h
	rdssharemanager.h
	rdssharemanager_p.h
	rdsshare_p.h
	rdsstoragedevice.h
	rdsstoragedevice_p.h
	rdsstoragemanager.h
	rdsstoragemanager_p.h
	rdsvolume.h
	rdsvolume_p.h
	rdsentitymanager.h
	rdsentitymanager_p.h
	rdsusergroupcomputermanager.h
	rdsdhcpmanager.h
	rdsdhcpmanager_p.h
	rdsdefines.h
	rdsdhcpsubnet.h
	rdsdhcpsubnet_p.h
	rdsdhcpsharednetwork.h
	rdsdhcpsharednetwork_p.h
	rdsdhcpgroup.h
	rdsdhcpgroup_p.h
	rdsdhcphost.h
	rdsdhcphost_p.h
	rdsfilemanager.h
	rdsdaemoninstance.h
	rdsdaemonmanager.h
	rdsdaemonmanager_p.h
	rdsmountpointmanager.h
	rdsmountpointmanager_p.h
	rdsvolumemanager.h
	rdsvolumemanager_p.h
	rdsfilemanager_p.h
	rdsudisksadapterinterface.h
	rdsudisksdeviceinterface.h
	rdsudisksexpanderinterface.h
	rdsudisksinterface.h
	rdsudisksportinterface.h
	rdsstoragedevicemanager.h
	rdsstoragedevicemanager_p.h
	rdsnetworksettings.h
	rdsnetworksettings_p.h
	rdssinglevolume.h
	rdssinglevolume_p.h
	rdsschedulemanager.h
	rdsschedulemanager_p.h
	rdsjob.h
	rdsjob_p.h
	rdsmultijob.h
	rdsmultijob_p.h
	rdsjobmanager.h
	rdsjobmanager_p.h
	rdsthreadedjob.h
	rdsthreadedjob_p.h
)

USE_QT_LIB(DBUS)
SET(LIBRARIES ${LIBRARIES}
	parted
	blkid
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	./include/
	../rdsldap/include/
)

SET(QT_DONT_USE_QTGUI true)

PROJECT_END()

INSTALL(TARGETS rdsserver
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

INSTALL_HEADERS("rds/server/")
