=== rds/shared/CMakeLists.txt ===

INSTALL_HEADERS("rds/shared/")
