=== rds/src/CMakeLists.txt ===
PROJECT_BEGIN(src EXECUTABLE)

SET(SOURCES ${SOURCES}
	main.cpp
)

QT4_AUTOMOC(${SOURCES})

SET(INCLUDES ${INCLUDES}
	../rdsserver
	../rdsldap
	../shared/
)

USE_QT_LIB(DBUS)

SET(LIBRARIES ${LIBRARIES}
	rdsserver
	rdsldap
	ldap_r
)

# Include and link against qtrpc2
SET(INCLUDES ${INCLUDES}
        ../qtrpc2/
        ../qtrpc2/include/
)
SET(LIBRARIES ${LIBRARIES}
        qtrpc2
)

SET(INCLUDES ${INCLUDES}
	../rdsserver/include/
	../shared/include/
	../rdsldap/include/
)

USE_QT_LIB(NETWORK)

PROJECT_END()
