=== debian/changelog ===
rds (1.1.0-0ubuntu3) quantal; urgency=low

  * Really switch Depends: to isc-dhcp-server following dhcp3-server to
    isc-dhcp-server transition.  Doh.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 03 Aug 2012 08:51:14 +0100

rds (1.1.0-0ubuntu2) quantal; urgency=low

  * Switch Depends: to isc-dhcp-server following dhcp3-server to
    isc-dhcp-server transition.
  * Switch paths to follow new location of configuration files.
  * debian/patches/gcc-4.7: a smattering of porting issues including
    a peppering of unistd.h includes.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 02 Aug 2012 09:52:33 +0100

rds (1.1.0-0ubuntu1) precise; urgency=low

  * Initial release (LP: #930422).

 -- Brendan Powers <brendan@resara.com>  Fri, 10 Feb 2012 18:01:00 -0500
