=== debian/control ===
Source: rds
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Brendan Powers <brendan@resara.com>
Build-Depends:
 cmake,
 debhelper (>= 7.0.50~),
 libattr1-dev,
 libavahi-client-dev,
 libavahi-compat-libdnssd-dev,
 libldap2-dev,
 libparted0-dev,
 libqt4-dev,
 libsasl2-dev
Standards-Version: 3.9.2
Section: admin
Homepage: http://www.resara.org/

Package: librdsserver-dev
Section: libdevel
Architecture: any
Depends:
 libqtrpc2-dev,
 librdsldap-dev (= ${binary:Version}),
 librdsserver1 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the Resara Server library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides development files for the server-side library.

Package: librdsclient-dev
Section: libdevel
Architecture: any
Depends: libqtrpc2-dev, librdsclient1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the Resara Server client library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides development files for the client library.

Package: librdsldap-dev
Section: libdevel
Architecture: any
Depends: libqtrpc2-dev, librdsldap1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the Resara Server LDAP library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides development files for the LDAP library.

Package: librdsserver1
Section: libs
Architecture: any
Depends:
 libattr1,
 libdbus-1-3 (>= 1.4.0-0ubuntu1),
 libldap-2.4-2,
 libparted0,
 libqt4-core,
 libqt4-gui,
 libqtrpc2-1,
 librdsldap1 (= ${binary:Version}),
 libsasl2-2,
 udisks,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: librdsserver
Description: Resara Server server-side library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the server-side library for Resara Server.

Package: librdsclient1
Section: libs
Architecture: any
Depends: libqtrpc2-1, ${misc:Depends}, ${shlibs:Depends}
Replaces: librdsclient
Description: Resara Server client library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the client library for Resara Server.

Package: librdsldap1
Section: libs
Architecture: any
Depends: libqtrpc2-1, ${misc:Depends}, ${shlibs:Depends}
Replaces: librdsldap
Description: Resara Server LDAP library
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the LDAP library for Resara Server.

Package: rds
Section: admin
Architecture: any
Depends:
 rdsserver (= ${binary:Version}),
 rdsutils (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Easy-to-use, AD compatible Linux domain controller and file server
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides a simple meta-package for Resara Server.

Package: rdsserver
Section: admin
Architecture: any
Depends:
 bind9,
 isc-dhcp-server,
 krb5-user,
 ldb-tools,
 librdsserver1 (= ${binary:Version}),
 libsasl2-modules-gssapi-mit,
 ntp (>= 1:4.2.6.p2),
 samba4,
 winbind4,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Binaries and other files needed to run Resara Server
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the core binaries and other files needed to run
 Resara Server.

Package: rdsutils
Section: admin
Architecture: any
Depends: librdsclient1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Administrative utilities for Resara Server
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides administrative utilities for Resara Server.

Package: rdsconsole
Section: admin
Architecture: any
Depends: librdsclient1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Resara Server administrative console
 Resara Server is an Active Directory compatible open source server
 for small businesses designed around Samba 4. It is designed to be
 simple and easy to use. The management console lets you manage users,
 share files, and configure DHCP and DNS.
 .
 This package provides the administration console for Resara Server.

Package: libqtrpc2-dev
Section: libdevel
Architecture: any
Replaces: qtrpc2-dev
Depends: libqtrpc2-1 (= ${binary:Version}), ${misc:Depends}
Description: Easy to use RPC library developement files
 An easy to use RPC library. QtRPC2 is well integrated into Qt4,
 and should be easy to use for anyone familiar with the Qt framework.
 .
 This package contains development files for QtRPC2

Package: libqtrpc2-1
Section: libs
Architecture: any
Replaces: qtrpc2
Depends:
 libavahi-client3,
 libavahi-compat-libdnssd1,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Easy to use RPC library for Qt4
 An easy to use RPC library. QtRPC2 is well integrated into Qt4,
 and should be easy to use for anyone familiar with the Qt framework.
