=== debian/watch ===
version=3
http://www.resara.org/release-snapshots/rds-([0-9]*\.[0-9]*\.[0-9]*).*\.tar\.gz
